Skip to content

List event dates

GET
/public/v1/event-instances
curl --request GET \
--url https://example.kwickbooking.com/public/v1/event-instances \
--header 'Authorization: Bearer <token>'

Lists every published date of the venue’s events with seats left. ListUpcomingEvents returns them grouped by event for a date range.

venueId
string format: uuid

OK

Media typeapplication/json
Array<object>

Public event-instance summary (a dated occurrence with tier availability).

object
eventInstanceId
required
string format: uuid
eventId
required
string format: uuid
startAt
required
string format: date-time
remainingSeats
required
integer format: int32
Example
[
{
"eventInstanceId": "01920000-0000-7000-8000-000000000005",
"eventId": "01920000-0000-7000-8000-000000000004",
"startAt": "2026-10-23T19:00:00+00:00",
"remainingSeats": 18
}
]
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplevenue-required

Venue required

{
"type": "https://developers.kwickblocks.ai/problems/venue-required",
"title": "Venue required",
"status": 400,
"detail": "Please say which venue this is for."
}

Invalid or missing integration key (https://developers.kwickblocks.ai/problems/invalid-key)

Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Exampleinvalid-key

Invalid or missing integration key

{
"type": "https://developers.kwickblocks.ai/problems/invalid-key",
"title": "Invalid or missing integration key",
"status": 401,
"detail": "This integration key isn't valid. Ask the venue's admin for a new one."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplecapability-missing

Capability not granted

{
"type": "https://developers.kwickblocks.ai/problems/capability-missing",
"title": "Capability not granted",
"status": 403,
"detail": "This integration key isn't allowed to do that. Ask the venue's admin to add the capability."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplevenue-not-found

Venue not found

{
"type": "https://developers.kwickblocks.ai/problems/venue-not-found",
"title": "Venue not found",
"status": 404,
"detail": "I couldn't find that venue."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplerate-limited

Too many requests

{
"type": "https://developers.kwickblocks.ai/problems/rate-limited",
"title": "Too many requests",
"status": 429,
"detail": "There have been too many requests. Please try again in a minute."
}